<?php
namespace Modules\API\APIInterne\OxaMobility\Controller;

use GuzzleHttp\Psr7\Response;

// phpcs:ignore
class PAGE_FournController extends AbsApiController
{
    public function INITAction() :Response
    {
        $trad = $this->getTranslationService();
        $return['Trads']['MLS_BoutonChoisir'] = $trad->t('Choisir');
        $return['Trads']['MLS_TitreFournisseurs'] = $trad->t('Fournisseurs');
        $return['Trads']['MLS_NomOuCode'] = $trad->t('Nom ou code');
        $return['Trads']['MLS_VilleOuCP'] = $trad->t('Ville ou code postal');
        $return['Trads']['MLS_Patienter'] = $trad->t('Veuillez patienter...');
        $return['Trads']['MLS_Filtrer'] = $trad->t('Filtrer');
        $return['Trads']['MLS_FournDejaChoisi'] = $trad->t('Ce fournisseur est déjà choisi pour une commande rapide.');
        $return['Trads']['MLS_ConfirmerChoix'] = $trad->t('Confirmez-vous le choix du fournisseur %1 pour une nouvelle commande rapide ?');
        $return['Trads']['MLS_AttentionPanierSuppr'] = $trad->t('Attention, votre panier en cours sera supprimé.');
        $return['Trads']['MLS_Filtre_CodePays'] = $trad->t('Pays');
        $return['Trads']['MLS_Filtre_Departement'] = $trad->t('Dép.1');
        $return['Trads']['MLS_Filtre_Departement2'] = $trad->t('Dép.2');
        $return['Trads']['MLS_Pays'] = $trad->t('Pays');
        $return['Trads']['MLS_Short_List'] = $trad->t('Short list');
        $return['Trads']['MLS_Sous_Famille'] = $trad->t('Sous-famille');
        $return['Trads']['MLS_Voir_Resultats'] = $trad->t('Voir les %1 résultat(s)');
        $return['Trads']['MLS_Par_Pays'] = $trad->t('Par pays');
        $return['Trads']['MLS_Par_Short_List'] = $trad->t('Par Short list');
        $return['Trads']['MLS_Par_Sous_Famille'] = $trad->t('Par Sous-famille');
        $return['Trads']['MLS_AucunResultat'] = $trad->t('Aucun résultat');
        $return['Trads']['MLS_Affiner'] = $trad->t('Affiner');
        $return['Trads']['MLS_Info_Adresse'] = $trad->t('Veuillez sélectionner l\'adresse de commande du fournisseur');
        
        return $this->createApiResponse($return);
    }
}
